# spec file for php-horde-ingo
#
# Copyright (c) 2012-2013 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    ingo
%global pear_channel pear.horde.org

Name:           php-horde-ingo
Version:        3.2.15
Release:        1%{?dist}
Summary:        An email filter rules manager

Group:          Development/Libraries
License:        BSD
URL:            http://www.horde.org/apps/ingo
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  php-common >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Role) >= 1.0.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
# extensions required from package.xml
Requires:       php-gettext
# extensions required from phpci analysis
Requires:       php-date
Requires:       php-ldap
Requires:       php-pcre
Requires:       php-spl
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Role) >= 1.0.0
Requires:       php-pear(%{pear_channel}/horde) >= 5.0.0
Requires:       php-pear(%{pear_channel}/horde) <  6.0.0
Requires:       php-pear(%{pear_channel}/Horde_Auth) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Auth) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Autoloader) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Autoloader) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Core) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Core) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Group) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Group) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Form) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Form) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Perms) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Perms) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Share) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Share) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Util) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_View) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_View) <  3.0.0
# Optional
Requires:       php-pear(Net_Sieve) >= 1.3.1
Requires:       php-pear(Net_Socket)
# Optional and implicitly requires: Horde_Vfs

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}
Provides:       php-composer(horde/ingo) = %{version}
Obsoletes:      ingo < 3
Provides:       ingo = %{version}


%description
Ingo is an email-filter management application. It is fully
internationalized, integrated with Horde and the IMP Webmail client, and
supports both server-side (Sieve, Procmail, Maildrop) and client-side
(IMAP) message filtering.


%prep
%setup -q -c

cat <<EOF | tee httpd.conf
<DirectoryMatch %{pear_hordedir}/%{pear_name}/(config|lib|locale)>
     Deny from all
</DirectoryMatch>
EOF

cd %{pear_name}-%{version}
# Don't install .po and .pot files
# Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}\.po/d' \
    -e '/htaccess/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}

# Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

# Install Apache configuration
install -Dpm 0644 ../httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

# Move configuration to /etc
mkdir -p %{buildroot}%{_sysconfdir}/horde
mv %{buildroot}%{pear_hordedir}/%{pear_name}/config \
   %{buildroot}%{_sysconfdir}/horde/%{pear_name}
ln -s %{_sysconfdir}/horde/%{pear_name} %{buildroot}%{pear_hordedir}/%{pear_name}/config

# Locales
for loc in locale/?? locale/??_??
do
    lang=$(basename $loc)
    echo "%%lang(${lang%_*}) %{pear_hordedir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(0770,apache,apache) %dir %{_sysconfdir}/horde/%{pear_name}
%attr(0640,apache,apache) %config %{_sysconfdir}/horde/%{pear_name}/*.dist
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{pear_name}/*.php
%attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{pear_name}/*.xml
%{_bindir}/ingo-convert-prefs-to-sql
%{_bindir}/ingo-convert-sql-shares-to-sqlng
%{_bindir}/ingo-postfix-policyd
%{_bindir}/ingo-admin-upgrade
%dir %{pear_hordedir}/%{pear_name}
%dir %{pear_hordedir}/%{pear_name}/locale
%{pear_hordedir}/%{pear_name}/*.php
%{pear_hordedir}/%{pear_name}/config
%{pear_hordedir}/%{pear_name}/js
%{pear_hordedir}/%{pear_name}/lib
%{pear_hordedir}/%{pear_name}/migration
%{pear_hordedir}/%{pear_name}/templates
%{pear_hordedir}/%{pear_name}/themes
#%{pear_datadir}/%{pear_name}
%{pear_testdir}/%{pear_name}

%changelog
* Thu May 04 2017 josef radinger <cheese@nosuchhost.net> - 3.2.15-1
- bump version

* Mon Mar 20 2017 josef radinger <cheese@nosuchhost.net> - 3.2.14-1
- bump version

* Sat Dec 17 2016 josef radinger <cheese@nosuchhost.net> - 3.2.13-1
- bump version

* Thu Sep 08 2016 josef radinger <cheese@nosuchhost.net> - 3.2.12-1
- bump version

* Sun Jul 10 2016 josef radinger <cheese@nosuchhost.net> - 3.2.11-1
- bump version

* Wed Apr 06 2016 josef radinger <cheese@nosuchhost.net> - 3.2.10-1
- bump version

* Tue Mar 22 2016 josef radinger <cheese@nosuchhost.net> - 3.2.9-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 3.2.8-1
- bump version

* Sat Oct 24 2015 josef radinger <cheese@nosuchhost.net> - 3.2.7-1
- bump version

* Sun Aug 02 2015 josef radinger <cheese@nosuchhost.net> - 3.2.6-1
- bump version
- add provides php-composer(horde/ingo)

* Fri May 01 2015 josef radinger <cheese@nosuchhost.net> - 3.2.5-1
- bump version

* Tue Feb 10 2015 josef radinger <cheese@nosuchhost.net> - 3.2.4-1
- bump version

* Thu Dec 04 2014 josef radinger <cheese@nosuchhost.net> - 3.2.3-1
- bump version

* Wed Oct 29 2014 josef radinger <cheese@nosuchhost.net> - 3.2.2-1
- bump version

* Sat Sep 06 2014 josef radinger <cheese@nosuchhost.net> - 3.2.1-1
- bump version

* Tue Jul 08 2014 josef radinger <cheese@nosuchhost.net> - 3.2.0-2
- bump version

* Sat Jun 14 2014 josef radinger <cheese@nosuchhost.net> - 3.2.0beta2-1
- bump version

* Fri May 16 2014 josef radinger <cheese@nosuchhost.net> - 3.2.0alpha1-1
- bump version

* Sat Apr 12 2014 josef radinger <cheese@nosuchhost.net> - 3.1.4-1
- Update to 3.1.4

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 3.1.3-1
- Update to 3.1.3

* Wed Jul 17 2013 Remi Collet <remi@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2

* Wed Jun 12 2013 Remi Collet <remi@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Wed Jun 05 2013 Remi Collet <remi@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0
- new dependency: Horde_View

* Fri May 31 2013 Remi Collet <remi@fedoraproject.org> - 3.0.4-1
- Update to 3.0.4
- switch from Conflicts to Provides

* Tue Feb 12 2013 Remi Collet <remi@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Sat Jan 12 2013 Remi Collet <remi@fedoraproject.org> - 3.0.2-1
- Initial package

